sc::SCMatrixSimpleSubblockIter(3)

NAME
sc::SCMatrixSimpleSubblockIter -

SYNOPSIS

Inherits sc::SCMatrixSubblockIter.

  Public Member Functions
SCMatrixSimpleSubblockIter (Access, const Ref< SCMatrixBlock > &b)
void begin ()
Start at the beginning.
int ready ()
Returns nonzero if there is another block.
void next ()
Proceed to the next block.
SCMatrixBlock * block ()
Return the current block.

  Protected Attributes
Ref< SCMatrixBlock > block_
int ready_

  Additional Inherited Members

Author

Generated automatically by Doxygen for MPQC from the source code.